%define _python_dist_allow_version_zero 1
# ^^ auto-added by mkit rpmstuff for early devel version

%define _python_dist_allow_version_zero 1
# ^^ auto-added by mkit rpmstuff for early devel version

%global python3_req python3 >= 3.7, python3 < 3.13
%global pysaturnin_req python3-saturnin >= 0.0.0, python3-saturnin < 0.1.0
Name:           pykbrd
Version:        0.0.0+t20240515165749.egg.gd8b4033
Release:        1%{?dist}
Summary:        Kanboard user CLI - 
URL:            https://gitlab.com/vornet/hacktop/pykbrd
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %pysaturnin_req
BuildRequires:  make
BuildRequires:  python3-devel


Requires: %python3_req
Requires: %pysaturnin_req
Requires: python3-pykbrd == %{version}
%description
pykbrd is user CLI for Kanboard, based on python-kbrd.

This package contains a demo Saturnin-powered meta-command.


%package -n python3-pykbrd
Summary: Python 3 modules for pykbrd
Requires: %python3_req
Requires: python3-neaty
Requires: python3-kanboard
%description -n python3-pykbrd
pykbrd is user CLI for Kanboard, based on python-kbrd.

This package contains Python 3 modules used by 'pykbrd' command.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr PYVER3=%{python3_version}

%install
%make_install PREFIX=/usr PYVER3=%{python3_version}
PYSITE3="%{buildroot}/%{python3_sitelib}"
mkdir -p "$PYSITE3"
mv "${PYSITE3%/site-packages}/%{name}" "$PYSITE3"

%files
%doc /usr/share/doc/%{name}/LICENSE.md
%doc /usr/share/doc/%{name}/README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/%{name}-lscolumns
%{_libexecdir}/%{name}/%{name}-lsprojects
%{_libexecdir}/%{name}/%{name}-lsswimlanes
%{_libexecdir}/%{name}/%{name}-lstasks
%{_libexecdir}/%{name}/%{name}-mkswimlane
%{_libexecdir}/%{name}/%{name}-mktask
%{_libexecdir}/%{name}/%{name}-mvtask
%{_libexecdir}/%{name}/%{name}-rmswimlane
%{_libexecdir}/%{name}/%{name}-showcolumn
%{_libexecdir}/%{name}/%{name}-showswimlane
%{_libexecdir}/%{name}/%{name}-showtask
%{_libexecdir}/%{name}/%{name}-whoami


%files -n python3-pykbrd
%{python3_sitelib}/%{name}/

%changelog

# specfile built with MKit 0.1.3
